/* Install given floating-point control modes.  AArch64 version.
   Copyright (C) 2016-2024 Free Software Foundation, Inc.
   This file is part of the GNU C Library.

   The GNU C Library is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   The GNU C Library is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with the GNU C Library; if not, see
   <https://www.gnu.org/licenses/>.  */

#include <fenv.h>
#include <fpu_control.h>

int
fesetmode (const femode_t *modep)
{
  fpu_control_t fpcr, fpcr_new;
  _FPU_GETCW (fpcr);
  if (modep == FE_DFL_MODE)
    fpcr_new = (fpcr & _FPU_RESERVED) | _FPU_DEFAULT;
  else
    fpcr_new = *modep;
  if (fpcr != fpcr_new)
    _FPU_SETCW (fpcr_new);
  return 0;
}
